Bug 130605 - LibreOffice Calc Opens a 37mb CSV with 15 columns and around 100 thousand rows Much Slower than Excel
Summary: LibreOffice Calc Opens a 37mb CSV with 15 columns and around 100 thousand row...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: perf
Keywords:
Depends on:
Blocks: CSV-Import
  Show dependency treegraph
 
Reported: 2020-02-12 02:14 UTC by Ben
Modified: 2021-02-10 16:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example CSV with 15 columns and 100000 rows (5.66 MB, text/plain)
2020-08-12 18:50 UTC, Roman Kuznetsov
Details
Another example CSV with text and numbers (12.49 MB, text/plain)
2020-08-12 18:55 UTC, Roman Kuznetsov
Details
File that I get the issue with (7.79 MB, application/x-zip-compressed)
2021-02-10 15:28 UTC, Ben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben 2020-02-12 02:14:39 UTC
Description:
When opening the same file in Excel, excel will load for 5-10s, however, on LibreOffice Calc, the file takes around 20s to open (for the progress bar to finish) then freezes for another 20s

Steps to Reproduce:
1. Create a large csv file
2. Open it in Calc using Text for every column (instead of standard)

Actual Results:
Calc loads for a long time and may become unresponsive for a while, even after the progress bar finished

Expected Results:
Loaded the document after to bottom progress bar had finished instead of freezing for another 20s


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 1 m.a.riosv 2020-02-12 14:31:26 UTC
So please attach a csv file where to test the slowness on opening it.
Comment 2 Ben 2020-02-15 00:35:38 UTC
(In reply to m.a.riosv from comment #1)
> So please attach a csv file where to test the slowness on opening it.

The site tells me the csv is too large to attach
Comment 3 QA Administrators 2020-02-15 06:51:53 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2020-05-08 18:58:57 UTC
(In reply to Ben from comment #2)
> (In reply to m.a.riosv from comment #1)
> > So please attach a csv file where to test the slowness on opening it.
> 
> The site tells me the csv is too large to attach

It should compress pretty well, if you zip it.
Comment 5 Xisco Faulí 2020-06-17 14:39:12 UTC
(In reply to Buovjaga from comment #4)
> (In reply to Ben from comment #2)
> > (In reply to m.a.riosv from comment #1)
> > > So please attach a csv file where to test the slowness on opening it.
> > 
> > The site tells me the csv is too large to attach
> 
> It should compress pretty well, if you zip it.

Hello Ben,
Please attach the document compressed
Comment 6 Roman Kuznetsov 2020-08-12 18:50:03 UTC
Created attachment 164221 [details]
Example CSV with 15 columns and 100000 rows

so fast import in

Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
Потоков ЦП: 4; ОС: Windows 6.1 Service Pack 1 Build 7601; Отрисовка ИП: Skia/Vulkan; VCL: win
Locale: ru-RU (ru_RU); ИП: ru-RU
Calc: CL
Comment 7 Roman Kuznetsov 2020-08-12 18:55:02 UTC
Created attachment 164222 [details]
Another example CSV with text and numbers

slower import than with first file but fast anyway =)
Comment 8 m.a.riosv 2020-08-13 07:24:29 UTC
For me the same time as with excel.

Version: 6.4.6.2 (x64)
Build ID: 0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: default; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: CL
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL

Perhaps some option in the import box gives the delay.
Comment 9 QA Administrators 2021-02-10 04:11:52 UTC Comment hidden (obsolete)
Comment 10 Ben 2021-02-10 15:28:45 UTC
Created attachment 169649 [details]
File that I get the issue with

Sorry for not responding, I completely forgot about it. With the updated version of libreoffice it's better, but still maybe twice as slow as excel is for me (takes 10 seconds to load instead of 5).
Comment 11 Ben 2021-02-10 16:23:53 UTC
It's been so long that I don't have the original file anymore, but I have another large CSV that opens faster in excel
Comment 12 Buovjaga 2021-02-10 16:25:30 UTC
Let's close as it is not "much slower" anymore. Also, we don't know the exact formatting that is being applied in LibO vs. Excel.
Comment 13 Ben 2021-02-10 16:27:42 UTC
(In reply to Buovjaga from comment #12)
> Let's close as it is not "much slower" anymore. Also, we don't know the
> exact formatting that is being applied in LibO vs. Excel.

Fair enough. It's at a usable speed now.